LocalSessionCacheLoader (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina.callback, class: LocalSessionCacheLoader

Package org.apache.geode.modules.session.catalina.callback

# Class LocalSessionCacheLoader

java.lang.Object
org.apache.geode.modules.session.catalina.callback.LocalSessionCacheLoader

All Implemented Interfaces:
  `CacheCallback`, `CacheLoader<String,jakarta.servlet.http.HttpSession>`, `Declarable`

public class LocalSessionCacheLoader extends Object implements CacheLoader<String,jakarta.servlet.http.HttpSession>, Declarable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalSessionCacheLoader(Region<String,jakarta.servlet.http.HttpSession> backingRegion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.
  `jakarta.servlet.http.HttpSession`
  `load(LoaderHelper<String,jakarta.servlet.http.HttpSession> helper)`
  Loads a value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.geode.cache.Declarable

  `init, initialize`

- ## Constructor Details

  - ### LocalSessionCacheLoader

    public LocalSessionCacheLoader(Region<String,jakarta.servlet.http.HttpSession> backingRegion)

- ## Method Details

  - ### load

    public jakarta.servlet.http.HttpSession load(LoaderHelper<String,jakarta.servlet.http.HttpSession> helper) throws CacheLoaderException
    Description copied from interface: `CacheLoader`
    Loads a value. Application writers should implement this method to customize the loading of a value. This method is called by the caching service when the requested value is not in the cache. Any exception (including an unchecked exception) thrown by this method is propagated back to and thrown by the invocation of `Region.get(Object, Object)` that triggered this load.

    Specified by:
      `load` in interface `CacheLoader<String,jakarta.servlet.http.HttpSession>`
    Parameters:
      `helper` - a LoaderHelper object that is passed in from cache service and provides access to the key, region, argument, and `netSearch`.
    Returns:
      the value supplied for this key, or null if no value can be supplied. A local loader will always be invoked if one exists. Otherwise one remote loader is invoked. Returning `null` causes `Region.get(Object, Object)` to return `null`.
    Throws:
      `CacheLoaderException` - if an error occurs. This exception or any other exception thrown by this method will be propagated back to the application from the get method.
    See Also:
      - `Region.get`

  - ### close

    public void close()
    Description copied from interface: `CacheCallback`
    Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.

    Implementations should cleanup any external resources such as database connections. Any runtime exceptions this method throws will be logged.

    It is possible for this method to be called multiple times on a single callback instance, so implementations must be tolerant of this.

    Specified by:
      `close` in interface `CacheCallback`
    See Also:
      - `RegionService.close()`
      - `Region.close()`
      - `Region.localDestroyRegion()`
      - `Region.destroyRegion()`
      - `AttributesMutator`